Subject: Fwd: BCSGA: Student Services Program Appeal (FY26)
From: Nicky Damania <[email-masked]>
To: BC SGA Director of Finance <[email-masked]>
Date: Thu, 26 Feb 2026 19:36:18 +0000

NickyD
Sent from my iPhone

Begin forwarded message:

From: The Office of Student Life at Bakersfield College <[email-masked]>
Date: February 26, 2026 at 9:48:31 AM PST
To: [email-masked]
Subject: BCSGA: Student Services Program Appeal (FY26)
Reply-To: [email-masked]

Student Name *  Aalyiah Walton
BC ID Number *
@00595893
BC Email *      [email-masked]<mailto:[email-masked]>
Who referred you to this appeals form? *
Admissions and Records
I have: *

  *   None of the above.

I currently: *

  *   None of the above.

Check Semester you'd like to appeal. *
Spring 2026
Please explain in detail why you are requesting a refund. A minimum 100 word statement is needed. *

I was not aware that we had to opt out every semester. I have not used any of its services recently and I am also already being charged for other things I can not afford. I am graduation ready and have unknown charges form 2023 fall all the way to 2026 Spring holding me back. I think the school should be more vocal of this issue so when we are ready to graduate we are not being held back for unknown charges. I was told way back when I got my school ID that I had to pay because I did not have the sticker now I am being charged for a sticker I thought I did not have the entire time.